[SM-Grimoire-Bugs] [Bug 14914] New: errors in config_query_multi.function

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Thu Nov 27 04:35:45 EST 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14914

           Summary: errors in config_query_multi.function
           Product: Codex
           Version: stable grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: FUNCTIONS
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: fredrik.carlstrom at tele2.se


Created an attachment (id=7185)
 --> (http://bugs.sourcemage.org/attachment.cgi?id=7185)
config_query_multi.function.patch

When loading an earlier configuration in the function real_config_query_multi,
there will be errors for indexes above 9. There is also two variables, answer
and answer_parsed, that should be declared local in the function
select_list_sub_multi to prevent leakage.

This applies to the binary grimoire as well.

The attached patch corrects this.


-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list